LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XInteractionPassword Interface Referencepublished

A continuation to get a password from interaction helper. More...

`import <XInteractionPassword.idl;`

Inheritance diagram for XInteractionPassword:

## Public Member Functions
void | setPassword ([in] string aPasswd)
| Store result password to the continuation.
string | getPassword ()
| Get result password from the continuation.
Public Member Functions inherited from XInteractionContinuation
void | select ()
| Select this way of continuing from an com::sun::star::task::XInteractionRequest (given a choice of various instances of com::sun::star::task::XInteractionContinuation).
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

A continuation to get a password from interaction helper.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getPassword()

string getPassword | ( |  | ) |

Get result password from the continuation.

Returns
  the stored password.

## ◆ setPassword()

void setPassword | ( | [in] string | aPasswd | ) |

Store result password to the continuation.

Parameters

  aPasswd | the result password.

The documentation for this interface was generated from the following file:

- com/sun/star/task/XInteractionPassword.idl